<template>
  <v-container>
    <v-row class="justify-center">
      <v-col
        cols="12"
        align="center"
      >
        <h1 class="primary--text">
          {{ $t('title') }}
        </h1>
      </v-col>
    </v-row>

    <v-row class="justify-center mb-6">
      <v-col
        cols="12"
        align="center"
      >
        <h2 class="secondary--text">
          {{ $t('subtitle-1') }}
        </h2>
      </v-col>
    </v-row>
    <v-row class="justify-center">
      <v-col
        cols="8"
        align="start"
      >
        <p v-html="$t('paragraph-1')" />
      </v-col>
    </v-row>
    <v-row class="justify-center mb-6">
      <v-col
        cols="12"
        align="center"
      >
        <h2 class="secondary--text">
          {{ $t('subtitle-2') }}
        </h2>
      </v-col>
    </v-row>
    <v-row class="justify-center">
      <v-col
        cols="8"
        align="start"
      >
        <p v-html="$t('paragraph-2')" />
      </v-col>
    </v-row>
    <v-row class="justify-center">
      <v-col
        cols="12"
        align="center"
      >
        <v-btn
          rounded
          color="secondary"
          class="font-weight-bold mr-4"
          :href="$t('solidary.btn-1.href')"
        >
          {{ $t('solidary.btn-1.text') }}
        </v-btn>
        <v-btn
          rounded
          color="secondary"
          class="font-weight-bold"
          :disabled="!isUserAuthenticated"
          :href="$t('solidary.btn-2.href')"
        >
          {{ $t('solidary.btn-2.text') }}
        </v-btn>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import {messages_en, messages_fr, messages_eu, messages_nl} from "@translations/components/assistiveDevices";

export default {
  i18n: {
    messages: {
      'en': messages_en,
      'nl': messages_nl,
      'fr': messages_fr,
      'eu':messages_eu
    }
  },
  props: {
    activationUri: {
      type: String,
      default: null
    },
    user: {
      type: Object,
      default: null
    },
  },
  computed: {
    isUserAuthenticated: function() {
      return this.user ? true : false;
    }
  },
  mounted() {
    this.activationUri = this.activationUri === '' ? null : this.activationUri;
  } 
}
</script>
